Subject: Re: bug#64270: 30.0.50; Font update for no toolkit menu

From: Robert Pluim <[email-masked]>
Date: Tue, 27 Jun 2023 10:37:30 +0200

>>>>> On Tue, 27 Jun 2023 15:48:29 +0800, Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:
    >> Ah then I have a bug in Emacs' XLFD generation on my system.  Here is
    >> what I get with 'C-u C-x =':
    >> 
    >> ftcrhb:-Misc-Fixed-regular-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

    Po Lu> ``XLFD'' strings generated by Emacs aren't guaranteed to be
    Po Lu> X11-compatible; Emacs is only designed to read them.  I don't remember
    Po Lu> whether or not this is intentional, so you will have to ask Kenichi
    Po Lu> Handa, but I have a sinking suspicion that he is not around anymore...

For at least 15 years prior to Larsʼ changes to support 'medium'
fonts, that would have returned

ftcrhb:-Misc-Fixed-medium-normal-normal-*-18-*-*-*-c-90-iso10646-1 (#x59)

Itʼs easy enough to get that back, if we want.

diff --git a/src/font.c b/src/font.c
index de8748dd857..814a4810a24 100644
--- a/src/font.c
+++ b/src/font.c
@@ -72,7 +72,7 @@ #define DEFAULT_ENCODING Qiso8859_1
   { 40, { "ultra-light", "ultralight", "extra-light", "extralight" }},
   { 50, { "light" }},
   { 55, { "semi-light", "semilight", "demilight" }},
-  { 80, { "regular", "normal", "unspecified", "book" }},
+  { 80, { "normal", "regular", "unspecified", "book" }},
   { 100, { "medium" }},
   { 180, { "semi-bold", "semibold", "demibold", "demi-bold", "demi" }},
   { 200, { "bold" }},

Robert
--